/**
 * http://usejsdoc.org/
 */
/**
 * http://usejsdoc.org/
 */
/**
 * http://usejsdoc.org/
 */
var http = require('http'),  //服务器创建
	dns = require('dns'),    //dns查询
    fs = require('fs'),      //文件操作
    url = require('url'),    //url处理 
    querystring = require('querystring'); //字符串处理

/**
 * 默认首页地址
 * @param req
 * @param res
 */
function goIndex(req, res){
	 var realPath = __dirname + '/' + url.parse('index.html').pathname;
	 var indexPage = fs.readFileSync(realPath);
	 res.end(indexPage);
}

/**
 * 获取dns信息
 * @param postData form数据
 * @param callback 回调内容
 */
function getDns(postData,callback){
	var domain = querystring.parse(postData).search_dns;
	/**异步解析域名*/
	dns.resolve(domain,function(err,addresses){
		if(!addresses){
			addresses = ['不存在域名'];
		}
		callback(domain,addresses);
	});
}

/**
 * 解析DNS
 * @param req
 * @param res
 */
function parseDns(req, res){
	var postData = "";
	req.addListener("data",function (postDataChunk){
		postData += postDataChunk;
	});
	req.addListener("end",function (){
		var retData = getDns(postData,function(domain,addresses){
			res.writeHead( 200 , {"Content-Type":"text/html"});
			res.end("<html>" +
					"<head>" +
						"<meta http-equiv='content-type'  content='text/html;charset=utf-8' />" +
					"</head>" +
					"<div style='text-align: center;'>" +
						"Domain:<span style='color:red;'>"+domain+"</span><br/>" +
						"IP:<span style='color:red;'>"+addresses.join(',')+"</span>" +
					"</div>" +
					"</html>");
		});
		return;
	});
}


/**
 * 路由转换
 * @param req
 * @param res
 * @param pathname 路径名称
 */
function router(req, res,pathname){
	switch(pathname){// 根据不同的pathname，执行不同的逻辑
		case '/parse':
			parseDns(req, res);
			break;
		default:
			goIndex(req, res);
	}
}


http.createServer(function(req, res) {
	var pathname = url.parse(req.url).pathname;
	req.setEncoding('UTF-8');
	res.writeHead( 200 , {"Content-Type":"text/html"});
	router(req, res, pathname);
}).listen(3000);